var Histology = function()
{
	var histology = {};
	var debug = 0;
	
	// Page initialization
	histology.initPage = function()
	{
		// Step 1
		Events.addEventHandler('numLabels', 'keypress', Events.integerOnly);
		
		// Navigation
		Buttons.addClickHandler('godownload', histology.downloadLabels);
		
		var url = '../Histology.servlet?ID='+App.getSessionId();
		url += '&cmd=GetHistologyWorkLists&all=1';
		Wizard.showLoadingAnimation('Loading histology work lists...');
		Wizard.asyncJsonRequest(url, histology.histologyListsLoaded);
	}
	
	histology.histologyListsLoaded = function(response)
	{
		var frm = document.forms['reggie'];
		var workLists = response.workLists;
		
		if (workLists.length > 0)
		{
			for (var i=0; i < workLists.length; i++)
			{
				var list = workLists[i];
				var name = list.name + ' (' + list.size + ')';
				var option = new Option(name, list.id);
				frm.workList[frm.workList.length] = option;
			}
			
			Wizard.setInputStatus('workList', 'valid');
		}
		else
		{
			Wizard.setFatalError('No Histology work lists available for processing.');
			return;
		}
		
		Doc.show('step-1');
		Doc.show('godownload');
	}

	histology.downloadLabels = function(event)
	{
		var frm = document.forms['reggie'];	

		var url = '../Histology.servlet?ID='+App.getSessionId();
		url += '&cmd=DownloadHEGlassLabels';
		url += '&workListId='+frm.workList.value;
		url += '&numSlides=' + parseInt(frm.numLabels.value, 10);
		
		location.href = url;
	}
	
	return histology;
}();

Doc.onLoad(Histology.initPage);

